<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('s2_shop_order_refund', function (Blueprint $table) {
            $table->integer("original_order_id")->nullable()->comment("原订单id,只有在代收退费的时候才有")->after("type");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('s2_shop_order_refund', function (Blueprint $table) {
            $table->dropColumn("original_order_id");
        });
    }
};
